%define ktcore_major 16
%define libktcore %mklibname ktcore %{ktcore_major}


Name:           ktorrent
Version:        23.08.5
Release:        %mkrel 1
Summary:        BitTorrent program for KDE
Group:          Graphical desktop/KDE5
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        http://download.kde.org/stable/ktorrent/5.0/%{name}-%{version}.tar.xz
Patch0:         enable-dht-by-default.patch
BuildRequires:  gmp-devel
BuildRequires:  boost-devel
BuildRequires:  libktorrent-devel
BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(taglib)

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-macros
BuildRequires:  qttools5

BuildRequires:  lib64kf5archive-devel
BuildRequires:  lib64kf5crash-devel
BuildRequires:  lib64kf5kdnssd-devel
BuildRequires:  lib64kf5iconthemes-devel
BuildRequires:  lib64kf5kcmutils-devel
BuildRequires:  lib64kf5kross-devel
BuildRequires:  lib64kf5i18n-devel
BuildRequires:  lib64kio-devel
BuildRequires:  lib64kf5kdelibs4support-devel
BuildRequires:  lib64kf5notifyconfig-devel
BuildRequires:  lib64kf5plotting-devel
BuildRequires:  lib64kf5webkit-devel
BuildRequires:  lib64plasma-workspace-devel


BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: lib64geoip-devel

Requires: geoip


%description
KTorrent is a BitTorrent program for KDE. Its main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files
%{_bindir}
%{_datadir}
%{_libdir}

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
sd "1.71.0" "1.68.0" CMakeLists.txt
%cmake_kf5 -DWITH_SYSTEM_GEOIP=ON -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%make

%install
rm -rf %buildroot
%make_install -C build

sd "SingleMainWindow=True" "" %buildroot/%{_datadir}/applications/*.desktop

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# make it preferred over kget:
echo "InitialPreference=5" >> %{buildroot}%{_kf5_applicationsdir}/org.kde.ktorrent.desktop

%post
%update_menus

%postun
%clean_menus

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

